%define pkg_name        Algorithm-NaiveBayes
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.3


Summary:       Bayesian prediction of categories
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KW/KWILLIAMS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools

BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(List::Util)}


%description
This module implements the classic "Naive Bayes" machine learning algorithm.
It is a well-studied probabilistic algorithm often used in automatic text
categorization. Compared to other algorithms (kNN, SVM, Decision Trees), it's
pretty fast and reasonably competitive in the quality of its results.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.3
- version 0.04

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-4.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.03-3.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
